This is the normal CHAT application.

NOTE: Need to have local MondoDB setup.

below are the steps to run the same.


1. cd client
2. npm install
3. npm start


1. cd server
2. npm install
3. npm start


Now when the client and server both are running, open 2 Tabs on browser and login/signup with different id's and then you can start chatting between the the 2 users.

NOte: You need to have mongodb install as the path given in the serrver code inside config folder is mongodb://localhost/mckinley-rice-1.

Thanks